/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fluxo4;

import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author jbatista
 */


class NotaException extends Exception{
    int nota;
    
    NotaException (int nota){
        this.nota = nota;
    }
    
    public int getNota(){
        return nota;
    }
}

class NotaBaixaException extends NotaException{
    
    NotaBaixaException (int nota){
        super(nota);
    }
}

class Graduacao {
    private int nota;
    
    Graduacao(int nota){
        this.nota = nota;
    }
    
    public int getNota(){
        return nota;
    }
    
    public void cadastraNota() throws NotaException{
        
        if (nota < 0)
            throw new NotaException(nota);
        if (nota < 5)
            throw new NotaBaixaException(nota);
        
    }
    
}


public class Fluxo4 {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        
        Scanner input = new Scanner(System.in);
        int nota;
        
        System.out.println("Entre com a nota = ");  nota = input.nextInt();
        
        Graduacao grad = new Graduacao(nota);
        
        
        try {
            grad.cadastraNota();
            System.out.printf("Sua nota esta boa.... %d\n", grad.getNota());
        } catch (NotaBaixaException ex) {
            System.out.printf("Opa... sua nota precisa melhorarr %d\n", ex.getNota());
        } catch (NotaException ex){
            System.out.printf("Opa... pode ser boa ou ma noticia.. %d\n", ex.getNota());
        }
        
        
    }
    
}
